Package org.gradle.jvm

## Interface JvmBinarySpec

- All Superinterfaces:
    `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `ModelElement`, `Named`
  All Known Subinterfaces:
    `ClassDirectoryBinarySpec`, `JarBinarySpec`, `JUnitTestSuiteBinarySpec`, `JvmTestSuiteBinarySpec`

      @Incubating
      @Deprecated
      public interface JvmBinarySpec
      extends BinarySpec

  Deprecated.
  Represents a binary artifact that is the result of building a jvm component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getClassesDir()` | Deprecated. The classes directory for this binary.
    `File` | `getResourcesDir()` | Deprecated. The resources directory for this binary.
    `JavaPlatform` | `getTargetPlatform()` | Deprecated. The target platform for this binary.
    `JavaToolChain` | `getToolChain()` | Deprecated. Returns the `JavaToolChain` that will be used to build this binary.
    `void` | `setClassesDir​(File classesDir)` | Deprecated. Sets the classes directory for this binary.
    `void` | `setResourcesDir​(File dir)` | Deprecated. Sets the resources directory for this binary.
    `void` | `setTargetPlatform​(JavaPlatform platform)` | Deprecated. Sets the target platform for this binary.
    `void` | `setToolChain​(JavaToolChain toolChain)` | Deprecated. Sets the `JavaToolChain` that will be used to build this binary.

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, getTasks, isBuildable`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.CheckableComponentSpec

      `checkedBy, getCheckTask, setCheckTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getTargetPlatform

          JavaPlatform getTargetPlatform()

      Deprecated.
      The target platform for this binary.

    - #### setTargetPlatform

          void setTargetPlatform​(JavaPlatform platform)

      Deprecated.
      Sets the target platform for this binary.

    - #### getToolChain

          JavaToolChain getToolChain()

      Deprecated.
      Returns the `JavaToolChain` that will be used to build this binary.

    - #### setToolChain

          void setToolChain​(JavaToolChain toolChain)

      Deprecated.
      Sets the `JavaToolChain` that will be used to build this binary.

    - #### getClassesDir

          File getClassesDir()

      Deprecated.
      The classes directory for this binary.

    - #### setClassesDir

          void setClassesDir​(File classesDir)

      Deprecated.
      Sets the classes directory for this binary.

    - #### getResourcesDir

          File getResourcesDir()

      Deprecated.
      The resources directory for this binary.

    - #### setResourcesDir

          void setResourcesDir​(File dir)

      Deprecated.
      Sets the resources directory for this binary.